=== debian/changelog ===
zeroc-ice (3.6.3-5) unstable; urgency=medium

  * Do not install libIceStormService.so (Closes: #857219)
  * Fix libzeroc-ice3.6-java install to use 3.6 name

 -- Jose <jose@zeroc.com>  Thu, 09 Mar 2017 16:22:39 +0100

zeroc-ice (3.6.3-4) unstable; urgency=medium

  * Move javahelper to Build-Depends to fix Bug#847010

 -- Jose <jose@zeroc.com>  Mon, 05 Dec 2016 09:37:57 +0100

zeroc-ice (3.6.3-3) unstable; urgency=medium

  * Missing Jgoodies dependencies in zeroc-icegridgui
  * Do not use JGoodies PlasticLookAndFeel. We avoid using
    JGoodies PlasticLookAndFeel as it is triggering a
    bug in JFileChooser that causes an application crash

 -- Jose <jose@zeroc.com>  Thu, 01 Dec 2016 22:39:10 +0100

zeroc-ice (3.6.3-2) unstable; urgency=medium

  * Fix package upgrade from stretch

 -- Jose <jose@zeroc.com>  Fri, 14 Oct 2016 17:26:35 +0000

zeroc-ice (3.6.3-1) unstable; urgency=medium

  * Ice-3.6.3 release
  * Added Ice for Python package python3-zeroc-ice
  * Remove javafx dependency
  * Fix service packaging

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 11 Oct 2016 13:21:56 +0200
