=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: extra
Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin,
                     libdb-java,
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2)
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               dh-systemd (>= 1.3),
               libbz2-dev,
               libdb++-dev,
               libexpat1-dev,
               libmcpp-dev,
               libssl-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               javahelper,
               php-all-dev,
               php-cli,
               python3,
               python3-dev,
               python3-setuptools
Standards-Version: 3.9.8
X-Python3-Version: >= 3.4
Homepage: https://zeroc.com
Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git

Package: libzeroc-freeze3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time for the Freeze persistence service
 This package contains the C++ run-time for the Freeze persistence service.
 .
 The Freeze persistence service allows you to store Ice objects in Oracle
 Berkeley DB, with all the features you expect from a robust database -
 transactions, hot backups, indexing, and more.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries and headers for developing Ice applications in C++
 This package contains the libraries and headers needed for developing
 Ice applications in C++.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.6-java
Architecture: all
Multi-Arch: foreign
Section: java
Replaces: libice-java-dev,
          libzeroc-ice3.6-java
Depends: default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer,
         libdb5.3-java (>= 5.3.28),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice for Java run-time libraries.
 This package contains Ice for Java run-time libraries.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time libraries for the Ice framework
 This package contains C++ run-time libraries for the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-icestorm3.6
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish-subscribe event distribution service
 This package contains the IceStorm publish-subscribe event distribution
 service.
 .
 IceStorm helps you create push applications. Your Ice client (the publisher)
 sends a request to a topic managed by IceStorm, and IceStorm delivers this
 request to all the subscribers (Ice objects) that you registered with this
 topic.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: php-zeroc-ice
Architecture: any
Section: php
Replaces: libice3.5-php
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 This package contains a PHP extension for communicating with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python3-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 extension for Ice
 This package contains a Python 3 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Conflicts: libzeroc-freeze3.6 (< 3.6.3-1)
Breaks: libzeroc-freeze3.6 (< 3.6.3-1)
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router
 This package contains the Glacier2 router. A Glacier2 router allows you to
 securely route Ice communications across networks, such as the public Internet
 and a private network behind a firewall. With Glacier2, you only need to open
 one port in your firewall to make multiple back-end Ice servers reachable by
 remote Ice clients on the Internet.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: Ice development packages (metapackage)
 This is a metapackage that depends on all development packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-freeze3.6 (>= ${source:Version}),
         libzeroc-ice3.6 (>= ${source:Version}),
         libzeroc-icestorm3.6 (>= ${source:Version}),
         libzeroc-ice3.6-java (= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         python3-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-icegridgui (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         ${misc:Depends}
Replaces: icebox, libzeroc-ice-java (<=3.5.1)
Description: Ice run-time packages (metapackage)
 This is a metapackage that depends on all run-time packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ice35-translators
Replaces: ice35-translators
Description: Slice compilers for developing Ice applications
 This package contains Slice compilers for developing Ice applications.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 This package contains Slice files used by the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
Replaces: ice-utils,
          ice35-services,
          icebox
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         libzeroc-icestorm3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice utilities and admin tools
 This package contains Ice utilities and admin tools.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegridgui
Architecture: all
Multi-Arch: foreign
Section: admin
Replaces: ice-utils,
          icegrid-gui,
          ice-utils-java
Conflicts: zeroc-ice-utils-java (< 3.6.3-1)
Breaks: zeroc-ice-utils-java (< 3.6.3-1)
Depends: default-jre | default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer | openjdk-7-jre | openjdk-8-jre,
         libzeroc-ice3.6-java (>= ${source:Version}),
         ${java:Depends},
         ${misc:Depends}
Description: IceGrid Admin graphical client
 The IceGrid service helps you locate, deploy and manage Ice servers.
 .
 The IceGrid GUI give you complete control over your deployed applications.
 Activities such as starting a server or modifying a configuration setting are
 just a mouse click away.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icebox
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: icebox
Provides: icebox
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceBox server, a framework for Ice application services
 This package contains the IceBox server, an easy-to-use framework for
 developing and deploying application services.
 .
