=== js/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # **********************************************************************
 #
-# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
+# Copyright (c) 2003-2017 ZeroC, Inc. All rights reserved.
 #
 # This copy of Ice is licensed to you under the terms described in the
 # ICE_LICENSE file included in this distribution.
@@ -27,4 +27,4 @@
 	@python ./allTests.py
 
 npminstall:
-	$(NPM) install
+	$(NPM) install --no-optional
