=== debian/changelog ===
zeroc-ice (3.6.4-1+buster) unstable; urgency=medium

  * Removed icegridgui patch, no longer necessary with 3.6.4
  * Set iceBuilderClassPath to use the local Ice Builder plug-in
  * Add class path entries to JAR files
  * Renamed zeroc-icegrid.icegridnode.service
  * Enable jarsClassPath see ICE-8444
  * Imported Upstream version 3.6.4

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 08 Sep 2017 20:36:13 +0200

zeroc-ice (3.6.3-6) unstable; urgency=medium

  * Add python2 packages
  * Update obsolete standards version
  * Fix usage of deprecated operator < in dependencies
  * Update .gitignore file
  * Rebuild libzeroc-ice3.6 with G++ 7 and bump symbols
  * Update git-buildpackage configuration for 3.6-sid branch

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 10 Aug 2017 10:48:29 +0000
