=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                dh-php (>= 0.20),
                dh-python,
                dh-systemd (>= 1.3),
+               g++ (>= 4:7),
                libbz2-dev,
                libdb++-dev,
                libexpat1-dev,
@@ -24,10 +25,13 @@
                javahelper,
                php-all-dev,
                php-cli,
+               python,
+               python-dev,
+               python-setuptools,
                python3,
                python3-dev,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python3-Version: >= 3.4
 Homepage: https://zeroc.com
 Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
@@ -148,6 +152,21 @@
  network programming interfaces and allows you to focus your efforts on
  your application logic.
 
+Package: python-zeroc-ice
+Architecture: any
+Section: python
+Depends: libzeroc-ice3.6 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: Python 2 extension for Ice
+ This package contains a Python 2 extension for communication with Ice.
+ .
+ Ice is a comprehensive RPC framework that helps you network your software
+ with minimal effort. Ice takes care of all interactions with low-level
+ network programming interfaces and allows you to focus your efforts on
+ your application logic.
+
 Package: python3-zeroc-ice
 Architecture: any
 Section: python
@@ -167,8 +186,8 @@
 Architecture: any
 Multi-Arch: foreign
 Section: net
-Conflicts: libzeroc-freeze3.6 (< 3.6.3-1)
-Breaks: libzeroc-freeze3.6 (< 3.6.3-1)
+Conflicts: libzeroc-freeze3.6 (<< 3.6.3-1)
+Breaks: libzeroc-freeze3.6 (<< 3.6.3-1)
 Replaces: glacier2,
           ice35-services
 Depends: libzeroc-ice3.6 (= ${binary:Version}),
@@ -285,8 +304,8 @@
 Replaces: ice-utils,
           icegrid-gui,
           ice-utils-java
-Conflicts: zeroc-ice-utils-java (< 3.6.3-1)
-Breaks: zeroc-ice-utils-java (< 3.6.3-1)
+Conflicts: zeroc-ice-utils-java (<< 3.6.3-1)
+Breaks: zeroc-ice-utils-java (<< 3.6.3-1)
 Depends: default-jre | default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer | openjdk-7-jre | openjdk-8-jre,
          libzeroc-ice3.6-java (>= ${source:Version}),
          ${java:Depends},
@@ -298,21 +317,3 @@
  Activities such as starting a server or modifying a configuration setting are
  just a mouse click away.
  .
- Ice is a comprehensive RPC framework that helps you network your software
- with minimal effort. Ice takes care of all interactions with low-level
- network programming interfaces and allows you to focus your efforts on
- your application logic.
-
-Package: zeroc-icebox
-Architecture: any
-Multi-Arch: foreign
-Section: net
-Replaces: icebox
-Provides: icebox
-Depends: libzeroc-ice3.6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: IceBox server, a framework for Ice application services
- This package contains the IceBox server, an easy-to-use framework for
- developing and deploying application services.
- .
